Sign a Semantic CWT credential
Returns a signed Semantic CWT credential generated from a provided valid payload.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>Semantic CWT credential payload to sign
application/json- body
Sign Semantic CWT credential Request
payload*CompactSemanticCredentialSignRequest
revocable?booleanWhen set to true, the created credential can later be revoked. When set to false, the credential cannot be revoked.
falseisRevoked?booleanWhen set to true, the signed credential is issued as revoked, and must be unrevoked to become valid. If isRevoked is provided (e.g. set to either true or false), revocable must be set to true.
falseSemantic CWT credential signed
application/json- response
Sign Semantic CWT credential response
id*stringUnique credential identifier. This is identical to the jti claim, which is the CBOR Web Token (CWT) identifier.
encoded*stringThe base32 encoded string representation of the Semantic CWT credential. CSC stands for COSE_SIGN Compact format. You will use this element to convert the credential into a format that can be shared with a holder.
decoded*CompactSemanticCredentialSignResponse
curl -X POST "https://example.com/v2/credentials/compact-semantic/sign" \ -H "Content-Type: application/json" \ -d '{ "payload": { "iss": "did:web:organization.com", "vc": { "type": "AlumniCredential", "credentialSubject": { "property1": "...", "property2": "..." } } } }'{ "id": "string", "encoded": "CSS:/1/BASE_32_ENCODED_PAYLOAD", "decoded": { "iss": "did:web:example.com", "jti": "...", "nbf": 1645743759, "exp": 1645743759, "iat": 1645743759, "aud": "...", "sub": "...", "vc": { "@context": [ "https://www.w3.org/2018/credentials/v1", "https://www.w3.org/2018/credentials/examples/v1" ], "type": [ "VerifiableCredential", "AlumniCredential" ], "credentialSubject": { "property1": "...", "property2": "..." } }, "status": { "url": "...", "index": 123 } }}How would you rate this page?